{
  "name": "@maisonsport/common-ui",
  "version": "1.4.30",
  "description": "Suite of styled-components to be consumed by the React-Native App and by the Web (via React-Native for Web)",
  "main": "dist/commonjs/index.js",
  "module": "dist/module/index.js",
  "react-native": "dist/commonjs/index.js",
  "types": "dist/typescript/index.d.ts",
  "files": [
    "src/",
    "dist/"
  ],
  "scripts": {
    "test": "jest",
    "lint": "eslint .",
    "watch": "nodemon --watch src --exec npm pack",
    "prepare": "npm run test && npm run lint && bob build"
  },
  "keywords": [
    "maisonsport",
    "common-ui",
    "styled-components",
    "react-native",
    "react-native-for-web"
  ],
  "bugs": {
    "url": "https://gitlab.com/maisonsport/frontend/common-ui/-/issues"
  },
  "homepage": "https://gitlab.com/maisonsport/frontend/common-ui",
  "author": "",
  "license": "ISC",
  "publishConfig": {
    "cache": "~/.npm",
    "@maisonsport:registry": "https://gitlab.com/api/v4/projects/21779049/packages/npm/"
  },
  "dependencies": {
    "@seznam/compose-react-refs": "^1.0.4",
    "@types/react": "^17.0.37",
    "@types/react-native": "^0.66.8",
    "@types/styled-system": "^5.1.15",
    "@typescript-eslint/parser": "^4.15.2",
    "accessible-system": "^0.2.4",
    "babel-eslint": "^10.1.0",
    "calendar-dates": "^2.7.0",
    "chalk": "^4.1.2",
    "crypto-js": "^4.0.0",
    "date-fns": "^2.17.0",
    "debounce": "^1.2.0",
    "email-validator": "^2.0.4",
    "emoji-regex": "^9.2.0",
    "fakerator": "^0.3.4",
    "initials": "^3.1.1",
    "is-dark-color": "^1.2.0",
    "md5": "^2.3.0",
    "mockdate": "^3.0.2",
    "prompts": "^2.4.1",
    "prop-types": "^15.7.2",
    "randomcolor": "^0.6.2",
    "react": "^17.0.1",
    "react-native": "0.63.2",
    "react-test-renderer": "^16.13.1",
    "styled-components": "^5.2.0",
    "styled-system": "^5.1.5",
    "validator": "^13.1.17"
  },
  "devDependencies": {
    "@babel/core": "^7.11.6",
    "@react-native-community/bob": "^0.16.2",
    "@testing-library/jest-native": "^3.4.3",
    "@testing-library/react-native": "^7.0.2",
    "@types/jest": "^26.0.23",
    "babel-jest": "^26.5.2",
    "eslint": "^7.11.0",
    "eslint-config-maisonsport": "^1.0.2",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-jest": "^24.1.0",
    "eslint-plugin-jsx-a11y": "^6.3.1",
    "eslint-plugin-react": "^7.21.4",
    "eslint-plugin-react-hooks": "^4.1.2",
    "jest": "^26.5.3",
    "nodemon": "^2.0.7",
    "prettier": "2.7.1",
    "typescript": "^4.2.2"
  },
  "jest": {
    "preset": "react-native",
    "setupFiles": [
      "./src/setupTests.js"
    ],
    "moduleFileExtensions": [
      "js",
      "tsx",
      "ts"
    ],
    "transform": {
      "^.+\\.(js)$": "<rootDir>/node_modules/babel-jest"
    },
    "testRegex": "(/__tests__/.*|\\.(test|spec))\\.(js|tsx)$",
    "testPathIgnorePatterns": [
      "\\.snap$",
      "<rootDir>/node_modules/",
      "node_modules/(?!react-native|react-navigation)"
    ],
    "modulePathIgnorePatterns": [
      "<rootDir>/dist/"
    ],
    "cacheDirectory": ".jest/cache",
    "setupFilesAfterEnv": [
      "@testing-library/jest-native/extend-expect"
    ]
  },
  "@react-native-community/bob": {
    "source": "src",
    "output": "dist",
    "targets": [
      "commonjs",
      "typescript"
    ]
  }
}
